Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware
Class OptionsGroup.Option

    java.lang.Object
      portlets.compoze.groupware.OptionsGroup.Option

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  OptionsGroup

public static class OptionsGroup.Option
extends java.lang.Object
implements java.io.Serializable

This class represents an option.

See Also:
  Serialized Form

Field Summary
`static OptionsGroup.Option` | `ACCOUNTS` This value represents the 'Accounts' option.
`static OptionsGroup.Option` | `ADDRESS_BOOK` This value represents the 'Address Book' option.
`static OptionsGroup.Option` | `CALENDAR` This value represents the 'Calendar' option.
`static OptionsGroup.Option` | `GENERAL` This value represents the 'General' option.
`static OptionsGroup.Option` | `HOME` This value represents the 'Home' option.
`static OptionsGroup.Option` | `INSTANT_MESSAGING` This value represents the 'Instant Messaging' option.
`static OptionsGroup.Option` | `MAIL` This value represents the 'Mail' option.
`static OptionsGroup.Option` | `TASKS` This value represents the 'Tasks' option.
`static int` | `VALUE_ACCOUNTS` This is the value of the 'accounts' option.
`static int` | `VALUE_ADDRESS_BOOK` This is the value of the 'address book' option.
`static int` | `VALUE_CALENDAR` This is the value of the 'calendar' option.
`static int` | `VALUE_GENERAL` This is the value of the 'general' option.
`static int` | `VALUE_HOME` This is the value of the 'home' option.
`static int` | `VALUE_INSTANT_MESSAGING` This is the value of the 'instant messaging' option.
`static int` | `VALUE_MAIL` This is the value of the 'mail' option.
`static int` | `VALUE_TASKS` This is the value of the 'tasks' option.

Method Summary
`boolean` | `equals(java.lang.Object o)` Indicates whether some other `Option` object is "equal to" this one.
`static java.util.List` | `getOptions()` Gets the list of options.
`int` | `getValue()` Gets the option value.
`int` | `hashCode()` Overrides the default hash code by using the option value.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_HOME

    public static final int VALUE_HOME

  This is the value of the 'home' option.

  See Also:
    Constant Field Values

### VALUE_MAIL

    public static final int VALUE_MAIL

  This is the value of the 'mail' option.

  See Also:
    Constant Field Values

### VALUE_CALENDAR

    public static final int VALUE_CALENDAR

  This is the value of the 'calendar' option.

  See Also:
    Constant Field Values

### VALUE_ADDRESS_BOOK

    public static final int VALUE_ADDRESS_BOOK

  This is the value of the 'address book' option.

  See Also:
    Constant Field Values

### VALUE_TASKS

    public static final int VALUE_TASKS

  This is the value of the 'tasks' option.

  See Also:
    Constant Field Values

### VALUE_GENERAL

    public static final int VALUE_GENERAL

  This is the value of the 'general' option.

  See Also:
    Constant Field Values

### VALUE_ACCOUNTS

    public static final int VALUE_ACCOUNTS

  This is the value of the 'accounts' option.

  See Also:
    Constant Field Values

### VALUE_INSTANT_MESSAGING

    public static final int VALUE_INSTANT_MESSAGING

  This is the value of the 'instant messaging' option.

  See Also:
    Constant Field Values

### HOME

    public static final OptionsGroup.Option HOME

  This value represents the 'Home' option.

### MAIL

    public static final OptionsGroup.Option MAIL

  This value represents the 'Mail' option.

### CALENDAR

    public static final OptionsGroup.Option CALENDAR

  This value represents the 'Calendar' option.

### ADDRESS_BOOK

    public static final OptionsGroup.Option ADDRESS_BOOK

  This value represents the 'Address Book' option.

### TASKS

    public static final OptionsGroup.Option TASKS

  This value represents the 'Tasks' option.

### GENERAL

    public static final OptionsGroup.Option GENERAL

  This value represents the 'General' option.

### ACCOUNTS

    public static final OptionsGroup.Option ACCOUNTS

  This value represents the 'Accounts' option.

### INSTANT_MESSAGING

    public static final OptionsGroup.Option INSTANT_MESSAGING

  This value represents the 'Instant Messaging' option.

Method Detail

### getValue

    public int getValue()

  Gets the option value.

  Returns:
    the option value (see `VALUE_` constants)

### hashCode

    public int hashCode()

  Overrides the default hash code by using the option value.

  Returns:
    the hash code (option value)
  See Also:
    `getValue()`

### equals

    public boolean equals(java.lang.Object o)

  Indicates whether some other `Option` object is "equal to" this one. Equality is determined by matching the option value (see `VALUE_` constants).

  Returns:
    `true` if this object is the same as the obj argument; `false` otherwise
  See Also:
    `getValue()`

### getOptions

    public static java.util.List getOptions()

  Gets the list of options.

  Returns:
    a list of `OptionsGroup.Option` objects or an empty list if none available

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.